NuminaDevelopers
Dashboard
List products

List products

GET
/v1/products

Returns the company's product catalogue (varekartotek), ordered by name.

Requires one ofproducts:readread:ledger

Query parameters

  • searchstring· max 200 chars
    Search by partial name or product number
  • product_numberstring· max 64 chars
    Exact product number
  • limitinteger· 1–500
    Maximum number of results (default 100, max 500)

    Default 100

  • offsetinteger· nullable· ≥ 0
    Number of results to skip for pagination

    Default 0

Errors

  • 400Invalid input or validation failed
  • 401Invalid or missing authentication
  • 403Missing scope, or the company is archived
  • 429Rate limit exceeded
  • 500Internal Server Error

Every error has the same shape. See Errors.

cURL
curl https://api.numina.app/v1/products \
  -H "Authorization: Bearer numi_YOUR_API_KEY"
JavaScript
const response = await fetch("https://api.numina.app/v1/products", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.NUMINA_API_KEY}`,
  },
});

const data = await response.json();
Python
import os

import requests

response = requests.get(
    "https://api.numina.app/v1/products",
    headers={
        "Authorization": f"Bearer {os.environ['NUMINA_API_KEY']}",
    },
)
data = response.json()
Response
200
{
  "products": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "product_number": "1001",
      "description": "Consulting hour",
      "quantity": 1,
      "unit": "hour",
      "unit_price": 950,
      "sales_account_number": 1000,
      "use_account_vat": true,
      "vat_code": null
    }
  ],
  "has_more": false,
  "next_offset": 0
}